Build #3 for xmonad-extras-0.15.2

[all reports]

Package xmonad-extras-0.15.2
Install DependencyFailed xmonad-extras-0.15.2
Docs NotTried
Tests NotTried
Time submitted 2019-10-06 15:09:53.61660785 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies X11-1.9.1, alsa-mixer-0.3.0, base-4.12.0.0, bytestring-0.10.8.2, containers-0.6.0.1, hint-0.9.0.2, libmpd-0.9.0.10, mtl-2.2.2, network-3.1.1.0, regex-posix-0.96.0.0, xmonad-0.15, xmonad-contrib-0.16
Flags -testing with_brightness with_hint -with_hlist with_mpd with_regex_posix with_sound with_template_haskell

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     data-default-class-0.1.2.0
Starting     dlist-0.8.0.7
Starting     extensible-exceptions-0.1.1.4
Starting     ghc-paths-0.1.0.12
Building     dlist-0.8.0.7
Building     extensible-exceptions-0.1.1.4
Building     data-default-class-0.1.2.0
Completed    extensible-exceptions-0.1.1.4
Starting     hashable-1.3.0.0
Completed    data-default-class-0.1.2.0
Starting     integer-logarithms-1.0.3
Building     hashable-1.3.0.0
Building     integer-logarithms-1.0.3
Building     ghc-paths-0.1.0.12
Completed    dlist-0.8.0.7
Starting     network-3.1.1.0
Completed    integer-logarithms-1.0.3
Starting     old-locale-1.0.0.7
Building     old-locale-1.0.0.7
Completed    ghc-paths-0.1.0.12
Starting     primitive-0.7.0.0
Building     primitive-0.7.0.0
Completed    hashable-1.3.0.0
Starting     random-1.1
Building     random-1.1
Completed    old-locale-1.0.0.7
Starting     regex-base-0.94.0.0
Building     network-3.1.1.0
Building     regex-base-0.94.0.0
Completed    regex-base-0.94.0.0
Starting     semigroups-0.19.1
Completed    random-1.1
Starting     setlocale-1.0.0.9
Building     semigroups-0.19.1
Building     setlocale-1.0.0.9
Completed    semigroups-0.19.1
Starting     transformers-compat-0.6.5
Completed    setlocale-1.0.0.9
Starting     utf8-string-1.0.1.1
Building     transformers-compat-0.6.5
Building     utf8-string-1.0.1.1
Completed    transformers-compat-0.6.5
Starting     alsa-core-0.5.0.1
Completed    network-3.1.1.0
Starting     data-default-instances-containers-0.0.1
Failed to install alsa-core-0.5.0.1
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/alsa-core-0.5.0.1-5E1EqcYL2GWHtTsacKmWBR.log ):
cabal: Entering directory '/tmp/cabal-tmp-11494/alsa-core-0.5.0.1'
Configuring alsa-core-0.5.0.1...
cabal: Missing dependency on a foreign library:
* Missing (or bad) header file: alsa/asoundlib.h
* Missing (or bad) C library: asound
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.
If the header file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-11494/alsa-core-0.5.0.1'
Starting     data-default-instances-dlist-0.0.1
Building     data-default-instances-containers-0.0.1
Building     data-default-instances-dlist-0.0.1
Completed    utf8-string-1.0.1.1
Completed    data-default-instances-containers-0.0.1
Completed    data-default-instances-dlist-0.0.1
Completed    primitive-0.7.0.0
cabal: Error: some packages failed to install:
alsa-core-0.5.0.1-5E1EqcYL2GWHtTsacKmWBR failed during the configure step. The
exception was:
ExitFailure 1
alsa-mixer-0.3.0-BuC9fxPvOeO50fWjIji5Rg depends on alsa-mixer-0.3.0 which
failed to install.
xmonad-extras-0.15.2-9yYe7i1yPup7bf5aQp5Orr depends on xmonad-extras-0.15.2
which failed to install.